# Uses of Interface
org.eclipse.microprofile.fault.tolerance.tck.util.Connection

Packages that use Connection
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.asynchronous
org.eclipse.microprofile.fault.tolerance.tck.asynctimeout.clientserver

## Uses of Connection in org.eclipse.microprofile.fault.tolerance.tck.asynchronous

Methods in org.eclipse.microprofile.fault.tolerance.tck.asynchronous that return types with arguments of type Connection
Modifier and Type
Method
Description
`Future<Connection>`
AsyncClassLevelClient.`service(Future<?> waitCondition)`
Service an operation until waitCondition is completed or 1000 second timeout.
`Future<Connection>`
AsyncClient.`service(Future<?> waitCondition)`
Service an operation until waitCondition is completed or 1000 second timeout.
`CompletionStage<Connection>`
AsyncClassLevelClient.`serviceCS(Future<?> waitCondition)`
`CompletionStage<Connection>`
AsyncClassLevelClient.`serviceCS(Future<?> waitCondition, boolean throwException)`
Service an operation until waitCondition is completed or 1000 second timeout.
`CompletionStage<Connection>`
AsyncClient.`serviceCS(Future<?> waitCondition)`
`CompletionStage<Connection>`
AsyncClient.`serviceCS(Future<?> waitCondition, boolean throwException)`
Service an operation until waitCondition is completed or 1000 second timeout.
`CompletionStage<Connection>`
AsyncClient.`serviceCS(Future<?> waitCondition, CompletionStage<Connection> stageToReturn)`
Method parameters in org.eclipse.microprofile.fault.tolerance.tck.asynchronous with type arguments of type Connection
Modifier and Type
Method
Description
`CompletionStage<Connection>`
AsyncClient.`serviceCS(Future<?> waitCondition, CompletionStage<Connection> stageToReturn)`

## Uses of Connection in org.eclipse.microprofile.fault.tolerance.tck.asynctimeout.clientserver

Methods in org.eclipse.microprofile.fault.tolerance.tck.asynctimeout.clientserver that return types with arguments of type Connection
Modifier and Type
Method
Description
`Future<Connection>`
AsyncClassLevelTimeoutClient.`serviceA()`
serviceA is a slow running service that will take 5 seconds in normal operation.
`Future<Connection>`
AsyncTimeoutClient.`serviceA()`
serviceA is a slow running service that will take 5 seconds in normal operation.
`Future<Connection>`
AsyncTimeoutClient.`serviceB()`
serviceB is a fast running service that will take 0.5 seconds in normal operation.